> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves the indexing status for one or more knowledge base sources by their IDs. Use this endpoint to monitor the progress of file uploads, text entries, or website crawls being indexed.  **Batch su

# Poll Knowledge Base Status

For the complete error reference, see [Error Guide](/rest-api/ai-agents-apis/error-codes).


## OpenAPI

````yaml post /ai-agents/agent-builder/knowledge-base/status/poll
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/agent-builder/knowledge-base/status/poll:
    post:
      tags:
        - knowledge-base
      summary: Poll Knowledge Base Status
      description: >-
        Retrieves the indexing status for one or more knowledge base sources by
        their IDs. Use this endpoint to monitor the progress of file uploads,
        text entries, or website crawls being indexed.


        **Batch support:** Accepts multiple IDs in a single request to
        efficiently check status across sources.
      operationId: RagController_getBatchStatus
      parameters: []
      requestBody:
        required: true
        description: Array of unique IDs to query
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StatusQueryDto'
      responses:
        '200':
          description: Status for requested unique IDs
          content:
            application/json:
              schema:
                type: object
                example:
                  success: true
                  data:
                    id1: indexing
                    id2: indexed
              example:
                success: true
                data:
                  id1: indexing
                  id2: indexed
      security:
        - apiKey: []
components:
  schemas:
    StatusQueryDto:
      type: object
      properties:
        uniqueId:
          description: Array of unique IDs to query
          example:
            - fb45bb1e-bc81-45a8-85be-36b2aa4f289e
            - c2847dcd-636c-4e7a-9217-593ccf2a7bb1
          type: array
          items:
            type: string
      required:
        - uniqueId
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````